## php.java.bridge
Interface Invocable

All Known Subinterfaces:
  IPhpScriptContext

All Known Implementing Classes:
  Context, Context, PhpFacesScriptContext, PhpScriptContext, PhpSimpleHttpScriptContext

    public interface Invocable

Classes which implement this interface are able to call php code. Invocable PHP scripts must end with the line:
`java_context()->call(java_closure());`

Author:
  jostb
See Also:
  `PhpProcedureProxy.getProxy(Class[])`, `PhpProcedure.invoke(Object, String, Object[])`, `PhpProcedure.invoke(Object, Method, Object[])`

Method Summary
`boolean` `call(PhpProcedureProxy kont)` Call the java continuation with the current continuation `kont` as its argument.

Method Detail

### call

    boolean call(PhpProcedureProxy kont)
                 throws java.lang.Exception

  Call the java continuation with the current continuation `kont` as its argument.

  Parameters:
    `kont` - The continuation.
  Returns:
    True on success, false otherwise.
  Throws:
    `java.lang.Exception`